### Function

# Gck modules_enumerate_uri

#### Declaration [src]

    GckEnumerator*
    gck_modules_enumerate_uri (
      GList* modules,
      const gchar* uri,
      GckSessionOptions session_options,
      GError** error
    )

#### Description [src]

Enumerate objects that match a URI.

This call will not block. Use the `GckEnumerator` functions in order to get at the actual objects that match.

#### Parameters

`modules` | A list of `GckModule*`
| The modules.
| The data is owned by the caller of the function.
`uri` | `const gchar*`
| The URI that the enumerator will match.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`session_options` | `GckSessionOptions`
| Options from GckSessionOptions.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GckEnumerator`
| A new `GckEnumerator`, or `NULL` if an error occurs.
| The caller of the function takes ownership of the data, and is responsible for freeing it.